include ../test_defines.mk

# define vars if they are undefined
OBJDIR := $(if $(OBJDIR),$(OBJDIR),../../output/$(MACHINE)/coverage)
RESULTSDIR := $(if $(RESULTSDIR),$(RESULTSDIR),RESULTSDIR)

TEST_SRCDIR = $(shell pwd)
TARGET = run_test
SOURCES += $(wildcard $(TEST_SRCDIR)/*.c)
OBJECTS = $(addprefix $(OBJDIR)/,$(notdir $(SOURCES:.c=.o)))

CFLAGS += -DSAHTRACES_LEVEL=500

LDFLAGS += -g -lm \
		   -Wl,--wrap=amxm_so_execute_function

include ../test_targets.mk
